Author Topic: Error is there a solution?  (Read 26915 times)

0 Members and 1 Guest are viewing this topic.

cadmoogle

  • Guest
Re: Error is there a solution?
« Reply #75 on: January 12, 2009, 09:26:51 PM »
Output to a text file is easy once you have done one. I'll post a routine tomorrow.

What do you want to include in the output & do you want to append to an existing log file
or create a new one each time?


Append the current log and and store it public or private location.

Store the time/date, drawing name and user saving the project. Is it possible after it warns the user of the blocks in the drawing (like it does now). Show a yes or no prompt after the alerts; prompt the user and ask. Do you wish to exit the drawing with out renaming the blocks? if they hit yes it will then append or create the log without telling the user. No, will close the drawing.

I'm thinking that will probably be it  :angel:

Besides needing to find a way to secure the lisp without them modifying it.. All arrows are still pointing towards acaddoc.lsp and locking the folder.

Thanks again for all of the help :)

cadmoogle

  • Guest
Re: Error is there a solution?
« Reply #76 on: January 13, 2009, 12:00:37 PM »
It appears the top right triggers _quit which worked when redefined.The window X triggers _close. So I was able to redefine both commands to prompt the command.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Error is there a solution?
« Reply #77 on: January 13, 2009, 12:08:51 PM »
Looks like the X out will vary from one ACAD version to another.
As long as there is no dot before the command like 2000 has a dotCLOSE and can not be redefined.

You will need to redefine QUIT, CLOSE & SAVE.


Code: [Select]
(defun c:quit() (c:close))
(defun c:save() (c:close))
(defun c:Close (/ NotOK2Close ss )
« Last Edit: January 13, 2009, 12:12:33 PM by CAB »
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

cadmoogle

  • Guest
Re: Error is there a solution?
« Reply #78 on: January 13, 2009, 01:16:48 PM »
I load the lisp on a 2009 regular AutoCAD vs my 2009 Map 3D and this is the result when the command is ran.

Quote
Command: (LOAD "C:/Documents and Settings/mrs300/Desktop/NewClose_CAB.lsp")
BLOCKCHECK

Command: newclose
; error: no function definition: VLAX-GET-ACAD-OBJECT

Command:

I still need to test it on 2008

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Error is there a solution?
« Reply #79 on: January 13, 2009, 01:24:53 PM »
Add this to the lisp!
Code: [Select]
(vl-load-com)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

cadmoogle

  • Guest
Re: Error is there a solution?
« Reply #80 on: January 13, 2009, 01:51:05 PM »
Add this to the lisp!
Code: [Select]
(vl-load-com)

Figures  8-)

wizman

  • Bull Frog
  • Posts: 290
Re: Error is there a solution?
« Reply #81 on: January 14, 2009, 03:12:11 PM »
just adding a note where another consideration/test to be done also is during publishing where drawings open and close.